  
<div id="w" style="width:100%;height:100%;padding:10px">



<form id="frm" action="<?=site_url($this->modul.'/run_upload')?>" method="post" enctype="multipart/form-data" class="styleThese">

<input type="hidden" name="simpan" value="1">

<label>Incoming Cronjob</label> :

<!-- <input name="h" class="easyui-filebox" style="width:50%"> -->

<?php if ($this->session->userdata('t12') == 1 && $this->session->userdata('t17') == 1 && $this->session->userdata('t24') == 1 ){ ?>
    <a href="javascript:void(0)" id="btnTbh" class="easyui-linkbutton" iconCls="icon-add" plain="true">Execute Cronjob</a>  
<!-- <a href="#" class="easyui-linkbutton" iconCls="icon-save" onClick="$('#frm').submit()">Upload</a> -->
<?php }




?>
<!-- <a href="http://27.123.4.131:81/doerpfsi/template/Format Upload Incoming Scrap.xls" class="easyui-linkbutton" iconCls="icon-xls" onClick="$('#frm').submit()">Template</a> -->
</form>

<script>

$('#btnTbh').click(function(){
	console.log(window.location.hostname)
	$.messager.progress({
        title: 'Processing',   // Title of the loading dialog
        msg: 'Please wait...', // Message displayed in the loading dialog
    });
	
    $.ajax({
        url: 'https://'+window.location.hostname+':8080/processCSVIn',
        type: 'GET',  // Assuming it's a GET request, you can change it to POST if needed
        success: function() {
			$('#dg_hdr').datagrid('reload');
           Alert('Cron job triggered successfully:');

            // You can add further actions after the cron job is triggered if needed
        },
        error: function(xhr, status, error) {
			$.messager.progress('close');
		    alert('Cron job triggered successfully:');
			// $('#dg_hdr').datagrid('reload');
        }
    });
});

</script>